Commerce
Assign commerce item business scope
Requires commerce:items:write. Send propertyId to scope the item to one active business, or null/empty body to make it global.
PATCH
/
commerce
/
items
/
{itemId}
/
property
Assign commerce item business scope
curl --request PATCH \
--url https://platform-api.visitoai.com/m2m/v1/commerce/items/{itemId}/property \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"propertyId": "<string>"
}
'import requests
url = "https://platform-api.visitoai.com/m2m/v1/commerce/items/{itemId}/property"
payload = { "propertyId": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({propertyId: '<string>'})
};
fetch('https://platform-api.visitoai.com/m2m/v1/commerce/items/{itemId}/property', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"itemId": "<string>",
"scope": "global",
"propertyId": "<string>"
}{
"error": {
"code": "M2M_AUTH_INSUFFICIENT_SCOPE",
"message": "M2M credential does not have required scope.",
"details": {
"requiredScopes": [
"conversations:write"
],
"missingScopes": [
"conversations:write"
]
}
}
}Authorizations
Server-side tenant-scoped credential created from Build > API Keys.
Path Parameters
Body
application/json
⌘I
Assign commerce item business scope
